%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_CssMinify
%global pear_channel pear.horde.org


Name:           php-horde-Horde-CssMinify
Version:        1.0.3
Release:        1%{?dist}
Summary:        Horde CSS Minify

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Abstracted interface to various CSS minification backends

%prep
%setup -q -c

cd %{pear_name}-%{version}
mv ../package.xml %{name}.xml

sed -e '/EXPAT_LICENSE/d' \
    -i %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%dir %{pear_phpdir}/Horde
%{pear_phpdir}/Horde/CssMinify
%{pear_phpdir}/Horde/CssMinify.php

%changelog
* Sat Dec 17 2016 josef radinger <cheese@nosuchhost.net> - 1.0.3-1
- bump version

* Thu Oct 02 2014 josef radinger <cheese@nosuchhost.net> - 1.0.2-1
- bump version

* Fri Jul 18 2014 josef radinger <cheese@nosuchhost.net> - 1.0.1-1
- bump version

* Fri Jun 13 2014 josef radinger <cheese@nosuchhost.net> - 1.0.0-1
- bump version

